Bug 1111318 - pakcstack: mysql fails to restart on CentOS6.5
Summary: pakcstack: mysql fails to restart on CentOS6.5
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-packstack
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Lukas Bezdicka
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-19 17:59 UTC by wes hayutin
Modified: 2016-03-30 23:07 UTC (History)
8 users (show)

Fixed In Version: openstack-packstack-2014.1.1-0.22.dev1184.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-30 23:07:22 UTC


Attachments (Terms of Use)
log files for install (5.95 MB, application/octet-stream)
2014-06-19 17:59 UTC, wes hayutin
no flags Details


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 101461 None None None Never

Description wes hayutin 2014-06-19 17:59:54 UTC
Created attachment 910486 [details]
log files for install

Description of problem:

00:29:17.924 ERROR : Error appeared during Puppet run: 172.16.7.20_mysql.pp
00:29:17.924 Error: Could not start Service[mysqld]: Execution of '/sbin/service mysqld start' returned 1: MySQL Daemon failed to start.


PuppetError: Error appeared during Puppet run: 172.16.7.20_mysql.pp
Error: /Stage[main]/Mysql::Config/Exec[mysqld-restart]: Failed to call refresh: service mysqld restart returned 1 instead of one of [0][0m
You will find full trace in log /var/tmp/packstack/20140619-124254-h4MshD/manifests/172.16.7.20_mysql.pp.log


See attached logs for details

Comment 1 Ivan Chavero 2014-06-20 13:46:19 UTC
Review approved

Comment 2 Marius Palimariu 2014-06-24 05:01:22 UTC
When packstack installs mariadb, it edits /etc/my.cnf.d/innodb.cnf to change innodb_log_file_size.
When mysqld starts, it looks at /var/lib/mysql/ib_logfile*. If they are not there, it will create them with innodb_log_file_size. If they are there and not the same size, it will error.

Comment 3 Lukas Bezdicka 2014-06-24 11:08:33 UTC
(In reply to Marius Palimariu from comment #2)
> When packstack installs mariadb, it edits /etc/my.cnf.d/innodb.cnf to change
> innodb_log_file_size.
> When mysqld starts, it looks at /var/lib/mysql/ib_logfile*. If they are not
> there, it will create them with innodb_log_file_size. If they are there and
> not the same size, it will error.

What we do is that on 6.5 we try to change innodb.cnf before mysql/maria starts and if we change innodb.cnf file it triggers exec to stop daemon, remove ib_log and notify restart. To be fair it's racy but atm there's no way to tell that the logs are of the required innodb_log_file_size (or I just don't know the way) so we just have to guess that we need to remove them.


Note You need to log in before you can comment on or make changes to this bug.